﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{
    public class IncomeRequest : ApiRequest
    {
        public int ID { get; set; }

        public Nullable<int> AllotID { get; set; }

        public string SheetNameKeyword { get; set; }

        public string UnitName { get; set; }

        public Nullable<decimal> Value { get; set; }


        public class IncomeRequestValidator : AbstractValidator<IncomeRequest>
        {
            public IncomeRequestValidator()
            {
                RuleSet("Update", () =>
                {
                    RuleFor(x => x.ID).NotNull().GreaterThan(0);
                });

                RuleSet("Delete", () =>
                {
                    RuleFor(x => x.ID).NotNull().GreaterThan(0);
                });
            }
        }
    }
}
